{
  "schema_version": "1.4.0",
  "id": "GHSA-xr2j-w2jp-cp5m",
  "modified": "2022-05-02T03:22:33Z",
  "published": "2022-05-02T03:22:33Z",
  "aliases": [
    "CVE-2009-1187"
  ],
  "details": "Integer overflow in the JBIG2 decoding feature in Poppler before 0.10.6 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via vectors related to CairoOutputDev (CairoOutputDev.cc).",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1187"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2009:0480"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2009-1187"
    },
    {
      "type": "WEB",
      "url": "https://bugs.launchpad.net/ubuntu/+source/poppler/+bug/361875"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=495906"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/50184"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10292"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00567.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-June/msg01277.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-June/msg01291.html"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=263028#c16"
    },
    {
      "type": "WEB",
      "url": "http://poppler.freedesktop.org/releases.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34746"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35064"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35618"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/Advisories:rPSA-2009-0059"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/196617"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:087"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2011:175"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0480.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/502761/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34568"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1076"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1040"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-04-23T19:30:00Z"
  }
}